﻿# -*- coding:Utf-8 -*- #

###########################################################
# Name: Radio Messages Editor                             #
# Version: 1337                                           #
# Author: Devilsnake88                                    #
#                                                         #
# Add-on for TrikzMe Servers                              #
# Thanks to 101satoon101 for optimization/revised add-on! #
# Thanks for downloading!                                 ###################
#                                                                           #
# * Recommendations *                                                       #
#    For a better optimisation, please follow instructions:                 #
#       - I recommend to use a mirror (FastDL) server                       #
#       and                                                                 #
#       - compress any sound format ".bz2" using "bzip2-105-x86-win32.exe"  #
# ______ __________           ___                                 _____     #
#/\   __\\__    __/       ___/\  \             /¯¯\_/¯¯\         /\__  \    #    
#\ \  \/ \/_/\  \/ _____ /\__\ \  \/¯\   _____/\        \    ____\/_/\  \   # 
# \ \  \    \ \  \/\   __\/\  \ \    <__/\__  \ \  \__\  \  /  __ \ \ \  \  # 
#  \ \  \_   \ \  \ \  \/ \ \  \ \  \\  \/_/  /_ \  \_/\  \/\  ___/  \_\  \ # 
#   \ \___\   \ \__\ \__\  \ \__\ \__\\__\ \____\ \__\\ \__\ \____\  /\____\# 
#    \/___/    \/__/\/__/   \/__/\/__/\/__//____/\/__/ \/__/\/____/  \/____/# 
#                                                                           #
#              Copyright © All Rights Reserved to DevilSnake88              #
#############################################################################

import es, playerlib

defaultsoundDir = 'radio/'
defaultsoundList = [
	'ct_coverme',
	'enemydown',
	'ct_enemys',
	'fallback',
	'followme',
	'com_getinpos',
	'blow',
	'com_go',
	'position',
	'ct_inpos',
	'ct_backup',
	'negative',
	'regroup',
	'com_reportin',
	'ct_reportingin',
	'roger',
	'clear',
	'sticktog',
	'stormfront',
	'takepoint',
	'takingfire'
]
persosoundDir = 'trikzme/' #Your personnal directory on /cstrike/sound/ folder
persosoundList = [         #Your personnal sounds on format ['sound1', 'sound2']
	'headshot'             #Don't put file extension (.mp3, .wav, ...)
]
radio = {
	#'coverme': {'text': 'Fuck me!', 'sound': 'headshot'}, # Your personnal sound here with NO extensions
	'coverme': {'text': 'Fuck me!', 'sound': 'ct_coverme'}, # Default sound
	'enemydown': {'text': 'Noob down!', 'sound': 'enemydown'},
	'enemyspot': {'text': 'Noob spotted!', 'sound': 'ct_enemys'},
	'fallback': {'text': "Don't go over there!", 'sound': 'fallback'},
	'followme': {'text': 'Just follow me!', 'sound': 'followme'},
	'getinpos': {'text': 'Stay there and wait for me!', 'sound': 'com_getinpos'},
	'getout': {'text': 'Run Forest, RUUUUUUUUN!', 'sound': 'blow'},
	'go': {'text': 'Go Go Go, Bitches!', 'sound': 'com_go'},
	'holdpos': {'text': 'Stay here!', 'sound': 'position'},
	'inposition': {'text': "I'm ready!", 'sound': 'ct_inpos'},
	'needbackup': {'text': 'Help me please!', 'sound': 'ct_backup'},
	'negative': {'text': 'Eh.. No.', 'sound': 'negative'},
	'regroup': {'text': 'Where are you?', 'sound': 'regroup'},
	'report': {'text': 'Where is my mate?', 'sound': 'com_reportin'},
	'reportingin': {'text': 'Ready, lets go!', 'sound': 'ct_reportingin'},
	'roger': {'text': 'Okay.', 'sound': 'roger'},
	'sectorclear': {'text': 'Level done!', 'sound': 'clear'},
	'sticktog': {'text': 'I want Gangbang', 'sound': 'sticktog'},
	'stormfront': {'text': 'Faster dude, faster!', 'sound': 'stormfront'},
	'takepoint': {'text': 'You go first!', 'sound': 'takepoint'},
	'takingfire': {'text': 'Need HELP! They shooting me!', 'sound': 'takingfire'}
}
colors = {2: 'ff3d3d', 3: '9acdff'}

def load():
	es.addons.registerClientCommandFilter(radioeditor)

def unload():
	es.addons.unregisterClientCommandFilter(radioeditor) 

def es_map_start(ev):
	for index in persosoundList: #Searching for all sound names on persosoundList
		es.stringtable('downloadables', 'sound/%s%s.wav' %(persosoundDir, index)) #Add to download list at player connexion

def radioeditor(userid, args):
	command = args[0].lower()
	player = playerlib.getPlayer(userid)
	if not command in radio:
		return True
	radiosound = radio[command]['sound']
	if not player.team in colors:
		return True
	es.msg('#multi', '\x07%s%s \x01(RADIO): %s' % (colors[player.team], player.name, radio[command]['text']))
	if radiosound in defaultsoundList: #If radio sound is on defaultsoundList (default radio sounds)
		es.cexec_all('play', '%s%s.wav' % (defaultsoundDir, radiosound))
	elif radiosound in persosoundList: #If radio sound is on persosoundList (your personnal radio sounds)
		es.cexec_all('play', '%s%s.wav' % (persosoundDir, radiosound))
	else: #If you did one error, Script show you this message ->
		es.msg('#multi', '#green[Radio Editor#green]#lightgreen There is a problem, please check your personnal modifications!\n #green"%s" not found!'%radiosound)
	return False